> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notte.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Profile State Set



## OpenAPI

````yaml https://api.notte.cc/openapi.json post /profiles/{profile_id}/state
openapi: 3.1.0
info:
  title: Notte API
  description: >-
    Notte API is a REST API that allows you to interact with Notte. It is used
    to create cloud browser sessions, scrape webpages, and run web ai agents to
    act on your behalf on the internet.
  version: 1.9.8
  x-logo:
    url: https://www.notte.cc/images/logo/logo-white.png
servers: []
security: []
tags:
  - name: agents
    description: Web AI agents (start, stop, status, replay, etc.)
  - name: sessions
    description: Session management (start, stop, status, etc.)
  - name: debug
    description: Session debugging tools (replay,logs, recording, etc.)
  - name: page
    description: Page operations withing a session (observe, step, scrape, etc.)
  - name: storage
    description: File storage interface (upload, download, list, etc.)
  - name: network
    description: Network requests/responses withing a session (intercept, etc.)
  - name: vaults
    description: >-
      Vault & Credentials management (create/delete vaults, create/delete
      credentials, etc.)
  - name: personas
    description: Persona management (create, delete, list emails, list sms, etc.)
  - name: scrape
    description: >-
      Webpage scraping (scrape, screenshot, etc.) with automatic session
      management.
  - name: health
    description: Health check endpoint.
  - name: usage
    description: Usage logs (usage, logs, etc.)
  - name: audit
    description: Audit trail of account and workspace changes.
  - name: functions
    description: Functions management (create, delete, list, etc.)
paths:
  /profiles/{profile_id}/state:
    post:
      tags:
        - profiles
      summary: Profile State Set
      operationId: profile_state_set
      parameters:
        - name: profile_id
          in: path
          required: true
          schema:
            type: string
            title: Profile Id
        - name: x-notte-request-origin
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Request-Origin
        - name: x-notte-sdk-version
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Sdk-Version
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProfileStateImportRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProfileStateImportResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
      x-codeSamples: []
components:
  schemas:
    ProfileStateImportRequest:
      properties:
        cookies:
          items:
            $ref: '#/components/schemas/Cookie'
          type: array
          maxItems: 10000
          title: Cookies
        local_storage:
          additionalProperties:
            additionalProperties:
              type: string
            type: object
          type: object
          maxProperties: 2000
          title: Local Storage
        session_storage:
          additionalProperties:
            additionalProperties:
              type: string
            type: object
          type: object
          maxProperties: 2000
          title: Session Storage
        domains:
          anyOf:
            - items:
                type: string
              type: array
              maxItems: 2000
              minItems: 1
            - type: 'null'
          title: Domains
        mode:
          type: string
          enum:
            - replace
            - append
          title: Mode
          default: replace
        storage_scope:
          type: string
          enum:
            - domains
            - origins
          title: Storage Scope
          description: >-
            Use origins for partial live-tab snapshots: replace only origins
            present in each storage map.
          default: domains
      additionalProperties: false
      type: object
      title: ProfileStateImportRequest
    ProfileStateImportResponse:
      properties:
        success:
          type: boolean
          title: Success
        cookies_count:
          type: integer
          title: Cookies Count
        local_storage_origins:
          type: integer
          title: Local Storage Origins
        session_storage_origins:
          type: integer
          title: Session Storage Origins
      type: object
      required:
        - success
        - cookies_count
        - local_storage_origins
        - session_storage_origins
      title: ProfileStateImportResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Cookie:
      properties:
        name:
          type: string
          title: Name
        value:
          type: string
          title: Value
        domain:
          type: string
          title: Domain
        path:
          type: string
          title: Path
        httpOnly:
          type: boolean
          title: Httponly
        expirationDate:
          anyOf:
            - type: number
            - type: 'null'
          title: Expirationdate
        hostOnly:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Hostonly
        sameSite:
          anyOf:
            - type: string
              enum:
                - Lax
                - None
                - Strict
            - type: 'null'
          title: Samesite
        secure:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Secure
        session:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Session
        storeId:
          anyOf:
            - type: string
            - type: 'null'
          title: Storeid
        expires:
          anyOf:
            - type: number
            - type: 'null'
          title: Expires
        partitionKey:
          anyOf:
            - type: string
            - type: 'null'
          title: Partitionkey
      type: object
      required:
        - name
        - value
        - domain
        - path
        - httpOnly
      title: Cookie
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: token

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.